#!/usr/bin/env python
# -*- mode:Python; tab-width: 4 -*-
"""
Little hack for Etxebide. Goes through the already post processed
files making local relative .jsp links point to special holder files.
"""

import re
import html_parser
import cms_freeze

__author__ = "Grzegorz Adam Hankiewicz <gradha@efaber.net>"
__date__ = "Jun 2003"
__version__ = "$Revision: 1.3 $"
__credits__ = ""

jsp = re.compile(r"(.*?/)?q01(.*)")
empty_holder = "etxebide/dynamic.htm"


def main(directory, extension):
    """Entry point of the appliaction."""
    for file, dummy in cms_freeze.walk_local_files(extension, directory):
        process_jsp_links(file, directory)
    print "Done"


def process_jsp_links(filename, dummy):
    """Makes all *q01* links point to special files."""
    print "Searching jsp links in", filename
    input = file(filename, "rb")
    data = input.read()
    input.close()
    substitutions = {}
    l = html_parser.Link_extractor(data, 0)
    for link in l.get_links():
        match = jsp.match(link)
        if match and link not in substitutions:
            substitutions[link] = empty_holder
            print " `%s' -> `%s'" % (link, empty_holder)

    # ok, make changes if links were found
    if not substitutions:
        return
        
    t = html_parser.Link_transformer(filename, "", substitutions, 0, 1)
    output = file(filename, "wb")
    output.write(t.get_data())
    output.close()


if __name__ == "__main__":
    import sys
    if "run" in sys.argv[1:]:
        main("etxebide", ".htm")
    else:
        print """
Little hack for Etxebide. Goes through the html files searching
local relative .jsp links which and makes them point at an empty
holder file in `%s'.

All the useful values are hardcoded. Usually you will be running
this after post_process_etxebide.py in the case you want to have
totally consistent relative links. Of course, you have to provide
the empty file, which should say something like "this file was not
downloaded because blah blah blah".

To run this script for real, you have to pass the parameter
"run". Otherwise only this boring screen is printed.  Don't worry
about running this script multiple times, that's harmless.
""" % empty_holder
